Delete By Key
curl --request DELETE \
--url http://{host}:{port}/{contextPath}/process-definition/key/{key} \
--header 'Authorization: Basic <encoded-value>'import requests
url = "http://{host}:{port}/{contextPath}/process-definition/key/{key}"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('http://{host}:{port}/{contextPath}/process-definition/key/{key}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"userId": "<string>",
"missingAuthorizations": [
{
"permissionName": "<string>",
"resourceName": "<string>",
"resourceId": "<string>"
}
],
"type": "<string>",
"message": "<string>",
"code": 123
}{
"type": "<string>",
"message": "<string>",
"code": 123
}Process Definition
Delete By Key
Deletes process definitions by a given key which belong to no tenant id.
DELETE
/
process-definition
/
key
/
{key}
Delete By Key
Authorizations
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Path Parameters
The key of the process definitions to be deleted.
Query Parameters
true, if all process instances, historic process instances and jobs
for this process definition should be deleted.
true, if only the built-in ExecutionListeners should be notified with the end event.
A boolean value to control whether input/output mappings should be executed during deletion.
true, if input/output mappings should not be invoked.
Response
Request successful.